//
//  telephotoVM.m
//  socialSecurity
//
//  Created by 看看智能 on 2017/3/24.
//  Copyright © 2017年 黄江涛 . All rights reserved.
//

#import "telephotoVM.h"

@implementation telephotoVM

-(void)getTelNumber:(NSString *)telNumber Handle:(CompletionHandle)completionHandle
{__weak __typeof(self)weakSelf = self;
weakSelf.dataTask =[getPhonePriceList getPhonePriceList:telNumber Handle:^(phoneModel *model, NSError *error) {
    [weakSelf.dataArr removeAllObjects];
    NSLog(@"code:%ld",(long)model.code);
    if (model.result.count <=0) {
        NSLog(@"model层没数据");
        return;
    }
    for (phoneResultModel *models in model.result) {
        [weakSelf.dataArr addObject:models];
         NSLog(@"dataArr:%@",weakSelf.dataArr);
    }
      completionHandle(error);
}];


}

@end
